Closed Bug 1619291 Opened 1 year ago Closed 29 days ago

Intermittent accessible/tests/browser/fission/browser_reframe_visibility.js | Test timed out -

Categories

(Core :: Disability Access APIs, defect, P5)

defect

Tracking

()

RESOLVED INCOMPLETE
Fission Milestone Future

People

(Reporter: intermittent-bug-filer, Unassigned)

Details

(Keywords: intermittent-failure)

Filed by: opoprus [at] mozilla.com
Parsed log: https://treeherder.mozilla.org/logviewer.html#?job_id=291259523&repo=autoland
Full log: https://firefox-ci-tc.services.mozilla.com/api/queue/v1/task/Tq_lu98RQ6mQu5_357DLhA/runs/0/artifacts/public/logs/live_backing.log


[task 2020-03-02T13:34:32.892Z] 13:34:32 INFO - checking window state
[task 2020-03-02T13:34:32.910Z] 13:34:32 INFO - TEST-START | accessible/tests/browser/fission/browser_reframe_visibility.js
[task 2020-03-02T13:35:17.928Z] 13:35:17 INFO - TEST-INFO | started process screenshot
[task 2020-03-02T13:35:17.996Z] 13:35:17 INFO - TEST-INFO | screenshot: exit 0
[task 2020-03-02T13:35:17.997Z] 13:35:17 INFO - Buffered messages logged at 13:34:32
[task 2020-03-02T13:35:17.997Z] 13:35:17 INFO - Entering test bound
[task 2020-03-02T13:35:17.998Z] 13:35:17 INFO - TEST-PASS | accessible/tests/browser/fission/browser_reframe_visibility.js | Recieved document load complete event -
[task 2020-03-02T13:35:17.998Z] 13:35:17 INFO - Buffered messages logged at 13:34:33
[task 2020-03-02T13:35:17.999Z] 13:35:17 INFO - TEST-PASS | accessible/tests/browser/fission/browser_reframe_visibility.js | e10s enabled -
[task 2020-03-02T13:35:17.999Z] 13:35:17 INFO - TEST-PASS | accessible/tests/browser/fission/browser_reframe_visibility.js | Actually remote browser -
[task 2020-03-02T13:35:17.999Z] 13:35:17 INFO - TEST-PASS | accessible/tests/browser/fission/browser_reframe_visibility.js | IFRAME is in the same process. -
[task 2020-03-02T13:35:18.000Z] 13:35:18 INFO - Check that the IFRAME and the IFRAME document are accessible initially.
[task 2020-03-02T13:35:18.000Z] 13:35:18 INFO - TEST-PASS | accessible/tests/browser/fission/browser_reframe_visibility.js | IFRAME should be accessible -
[task 2020-03-02T13:35:18.001Z] 13:35:18 INFO - TEST-PASS | accessible/tests/browser/fission/browser_reframe_visibility.js | IFRAME document should be accessible -
[task 2020-03-02T13:35:18.001Z] 13:35:18 INFO - Hide the IFRAME and check that it's gone along with the IFRAME document.
[task 2020-03-02T13:35:18.001Z] 13:35:18 INFO - TEST-PASS | accessible/tests/browser/fission/browser_reframe_visibility.js | Recieved reorder event -
[task 2020-03-02T13:35:18.001Z] 13:35:18 INFO - TEST-PASS | accessible/tests/browser/fission/browser_reframe_visibility.js | IFRAME accessible should be defunct when hidden. -
[task 2020-03-02T13:35:18.002Z] 13:35:18 INFO - TEST-PASS | accessible/tests/browser/fission/browser_reframe_visibility.js | IFRAME document's accessible is defunct when the IFRAME is hidden and fission is not enabled. -
[task 2020-03-02T13:35:18.002Z] 13:35:18 INFO - TEST-PASS | accessible/tests/browser/fission/browser_reframe_visibility.js | No accessible for an IFRAME present. -
[task 2020-03-02T13:35:18.002Z] 13:35:18 INFO - TEST-PASS | accessible/tests/browser/fission/browser_reframe_visibility.js | No accessible for the IFRAME document present. -
[task 2020-03-02T13:35:18.002Z] 13:35:18 INFO - Show the IFRAME and check that a new accessible is created for it as well as the IFRAME document.
[task 2020-03-02T13:35:18.002Z] 13:35:18 INFO - TEST-PASS | accessible/tests/browser/fission/browser_reframe_visibility.js | Recieved reorder event -
[task 2020-03-02T13:35:18.003Z] 13:35:18 INFO - Buffered messages finished
[task 2020-03-02T13:35:18.003Z] 13:35:18 INFO - TEST-UNEXPECTED-FAIL | accessible/tests/browser/fission/browser_reframe_visibility.js | Test timed out -
[task 2020-03-02T13:35:18.003Z] 13:35:18 INFO - GECKO(8512) | MEMORY STAT | vsize 2104140MB | vsizeMaxContiguous 65363379MB | residentFast 220MB | heapAllocated 76MB
[task 2020-03-02T13:35:18.003Z] 13:35:18 INFO - TEST-OK | accessible/tests/browser/fission/browser_reframe_visibility.js | took 45078ms
[task 2020-03-02T13:35:18.003Z] 13:35:18 INFO - checking window state

This intermittent test failure doesn't need to block Fission MVP unless it becomes more frequent.

Fission Milestone: --- → Future
Status: NEW → RESOLVED
Closed: 1 year ago
Resolution: --- → INCOMPLETE
Status: RESOLVED → REOPENED
Resolution: INCOMPLETE → ---
Status: REOPENED → RESOLVED
Closed: 1 year ago1 year ago
Resolution: --- → INCOMPLETE
Status: RESOLVED → REOPENED
Resolution: INCOMPLETE → ---
Status: REOPENED → RESOLVED
Closed: 1 year ago8 months ago
Resolution: --- → INCOMPLETE

Recent failure log: https://treeherder.mozilla.org/logviewer.html#/jobs?job_id=316783251&repo=mozilla-beta&lineNumber=1815

[task 2020-09-26T08:50:35.864Z] 08:50:35 INFO - TEST-START | accessible/tests/browser/fission/browser_reframe_visibility.js
[task 2020-09-26T08:51:20.888Z] 08:51:20 INFO - TEST-INFO | started process screenshot
[task 2020-09-26T08:51:20.966Z] 08:51:20 INFO - TEST-INFO | screenshot: exit 0
[task 2020-09-26T08:51:20.967Z] 08:51:20 INFO - Buffered messages logged at 08:50:35
[task 2020-09-26T08:51:20.967Z] 08:51:20 INFO - Entering test bound
[task 2020-09-26T08:51:20.968Z] 08:51:20 INFO - TEST-PASS | accessible/tests/browser/fission/browser_reframe_visibility.js | Recieved document load complete event -
[task 2020-09-26T08:51:20.968Z] 08:51:20 INFO - Buffered messages logged at 08:50:36
[task 2020-09-26T08:51:20.968Z] 08:51:20 INFO - TEST-PASS | accessible/tests/browser/fission/browser_reframe_visibility.js | Actually remote browser -
[task 2020-09-26T08:51:20.968Z] 08:51:20 INFO - TEST-PASS | accessible/tests/browser/fission/browser_reframe_visibility.js | IFRAME is in the same process. -
[task 2020-09-26T08:51:20.968Z] 08:51:20 INFO - Check that the IFRAME and the IFRAME document are accessible initially.
[task 2020-09-26T08:51:20.968Z] 08:51:20 INFO - TEST-PASS | accessible/tests/browser/fission/browser_reframe_visibility.js | IFRAME should be accessible -
[task 2020-09-26T08:51:20.969Z] 08:51:20 INFO - TEST-PASS | accessible/tests/browser/fission/browser_reframe_visibility.js | IFRAME document should be accessible -
[task 2020-09-26T08:51:20.969Z] 08:51:20 INFO - Hide the IFRAME and check that it's gone along with the IFRAME document.
[task 2020-09-26T08:51:20.969Z] 08:51:20 INFO - TEST-PASS | accessible/tests/browser/fission/browser_reframe_visibility.js | Recieved reorder event -
[task 2020-09-26T08:51:20.969Z] 08:51:20 INFO - TEST-PASS | accessible/tests/browser/fission/browser_reframe_visibility.js | IFRAME accessible should be defunct when hidden. -
[task 2020-09-26T08:51:20.969Z] 08:51:20 INFO - TEST-PASS | accessible/tests/browser/fission/browser_reframe_visibility.js | IFRAME document's accessible is defunct when the IFRAME is hidden and fission is not enabled. -
[task 2020-09-26T08:51:20.969Z] 08:51:20 INFO - TEST-PASS | accessible/tests/browser/fission/browser_reframe_visibility.js | No accessible for an IFRAME present. -
[task 2020-09-26T08:51:20.969Z] 08:51:20 INFO - TEST-PASS | accessible/tests/browser/fission/browser_reframe_visibility.js | No accessible for the IFRAME document present. -
[task 2020-09-26T08:51:20.969Z] 08:51:20 INFO - Show the IFRAME and check that a new accessible is created for it as well as the IFRAME document.
[task 2020-09-26T08:51:20.969Z] 08:51:20 INFO - TEST-PASS | accessible/tests/browser/fission/browser_reframe_visibility.js | Recieved reorder event -
[task 2020-09-26T08:51:20.970Z] 08:51:20 INFO - Buffered messages finished
[task 2020-09-26T08:51:20.970Z] 08:51:20 INFO - TEST-UNEXPECTED-FAIL | accessible/tests/browser/fission/browser_reframe_visibility.js | Test timed out -
[task 2020-09-26T08:51:20.970Z] 08:51:20 INFO - GECKO(1836) | MEMORY STAT | vsize 2104134MB | vsizeMaxContiguous 66293751MB | residentFast 214MB | heapAllocated 73MB
[task 2020-09-26T08:51:20.970Z] 08:51:20 INFO - TEST-OK | accessible/tests/browser/fission/browser_reframe_visibility.js | took 45080ms
[task 2020-09-26T08:51:20.970Z] 08:51:20 INFO - checking window state

Status: RESOLVED → REOPENED
Resolution: INCOMPLETE → ---
Status: REOPENED → RESOLVED
Closed: 8 months ago7 months ago
Resolution: --- → INCOMPLETE
Status: REOPENED → RESOLVED
Closed: 7 months ago4 months ago
Resolution: --- → INCOMPLETE

Recent failure log: https://treeherder.mozilla.org/logviewer?job_id=326613579&repo=mozilla-beta&lineNumber=1949

[task 2021-01-13T19:05:49.711Z] 19:05:49 INFO - TEST-START | accessible/tests/browser/fission/browser_reframe_visibility.js
[task 2021-01-13T19:06:34.737Z] 19:06:34 INFO - TEST-INFO | started process screenshot
[task 2021-01-13T19:06:34.796Z] 19:06:34 INFO - TEST-INFO | screenshot: exit 0
[task 2021-01-13T19:06:34.796Z] 19:06:34 INFO - Buffered messages logged at 19:05:49
[task 2021-01-13T19:06:34.796Z] 19:06:34 INFO - Entering test bound
[task 2021-01-13T19:06:34.796Z] 19:06:34 INFO - TEST-PASS | accessible/tests/browser/fission/browser_reframe_visibility.js | Recieved document load complete event -
[task 2021-01-13T19:06:34.796Z] 19:06:34 INFO - Buffered messages logged at 19:05:50
[task 2021-01-13T19:06:34.796Z] 19:06:34 INFO - TEST-PASS | accessible/tests/browser/fission/browser_reframe_visibility.js | Actually remote browser -
[task 2021-01-13T19:06:34.796Z] 19:06:34 INFO - TEST-PASS | accessible/tests/browser/fission/browser_reframe_visibility.js | IFRAME is in the same process. -
[task 2021-01-13T19:06:34.797Z] 19:06:34 INFO - Check that the IFRAME and the IFRAME document are accessible initially.
[task 2021-01-13T19:06:34.797Z] 19:06:34 INFO - TEST-PASS | accessible/tests/browser/fission/browser_reframe_visibility.js | IFRAME should be accessible -
[task 2021-01-13T19:06:34.797Z] 19:06:34 INFO - TEST-PASS | accessible/tests/browser/fission/browser_reframe_visibility.js | IFRAME document should be accessible -
[task 2021-01-13T19:06:34.797Z] 19:06:34 INFO - Hide the IFRAME and check that it's gone along with the IFRAME document.
[task 2021-01-13T19:06:34.797Z] 19:06:34 INFO - TEST-PASS | accessible/tests/browser/fission/browser_reframe_visibility.js | Recieved reorder event -
[task 2021-01-13T19:06:34.797Z] 19:06:34 INFO - TEST-PASS | accessible/tests/browser/fission/browser_reframe_visibility.js | IFRAME accessible should be defunct when hidden. -
[task 2021-01-13T19:06:34.797Z] 19:06:34 INFO - TEST-PASS | accessible/tests/browser/fission/browser_reframe_visibility.js | IFRAME document's accessible is defunct when the IFRAME is hidden and fission is not enabled. -
[task 2021-01-13T19:06:34.797Z] 19:06:34 INFO - TEST-PASS | accessible/tests/browser/fission/browser_reframe_visibility.js | No accessible for an IFRAME present. -
[task 2021-01-13T19:06:34.797Z] 19:06:34 INFO - TEST-PASS | accessible/tests/browser/fission/browser_reframe_visibility.js | No accessible for the IFRAME document present. -
[task 2021-01-13T19:06:34.797Z] 19:06:34 INFO - Show the IFRAME and check that a new accessible is created for it as well as the IFRAME document.
[task 2021-01-13T19:06:34.798Z] 19:06:34 INFO - TEST-PASS | accessible/tests/browser/fission/browser_reframe_visibility.js | Recieved reorder event -
[task 2021-01-13T19:06:34.798Z] 19:06:34 INFO - Buffered messages finished
[task 2021-01-13T19:06:34.798Z] 19:06:34 INFO - TEST-UNEXPECTED-FAIL | accessible/tests/browser/fission/browser_reframe_visibility.js | Test timed out -
[task 2021-01-13T19:06:34.798Z] 19:06:34 INFO - GECKO(4852) | MEMORY STAT | vsize 2104161MB | vsizeMaxContiguous 65115571MB | residentFast 238MB | heapAllocated 72MB
[task 2021-01-13T19:06:34.798Z] 19:06:34 INFO - TEST-OK | accessible/tests/browser/fission/browser_reframe_visibility.js | took 45084ms
[task 2021-01-13T19:06:34.816Z] 19:06:34 INFO - checking window state

Status: RESOLVED → REOPENED
Resolution: INCOMPLETE → ---
Status: REOPENED → RESOLVED
Closed: 4 months ago3 months ago
Resolution: --- → INCOMPLETE
Status: RESOLVED → REOPENED
Resolution: INCOMPLETE → ---
Status: REOPENED → RESOLVED
Closed: 3 months ago29 days ago
Resolution: --- → INCOMPLETE
You need to log in before you can comment on or make changes to this bug.